Page MenuHomePhabricator

Prevent deletion of main page at en.wiktionary
Closed, DeclinedPublic

Description

I am an admin at en.wiktionary, and given how many times our main page has been deleted, I think it would be helpful if the settings file was modified so that main page deletion is essentially prevented, the way it is at en.wikipedia.

A short local discussion in which nobody voiced opposition is here:
https://en.wiktionary.org/wiki/Wiktionary:Grease_pit/2017/November#Prevent_deletion_of_the_main_page

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2018, 10:53 PM
Reedy added a subscriber: Reedy.
$wgGroupPermissions['sysop']['bigdelete'] = false; // quick hack

It's disabled by way of disabling bigdelete, as the enwiki mainpage has a lot of revisions....

@Reedy

'+enwiktionary' => [
  'sysop' => [ 'bigdelete' => false ]] // T184959
         ]

Is it right or not?

@Jayprakash12345 Not at all, this won't fix anything.

Reedy added a comment.Jan 16 2018, 4:26 PM

@Jayprakash12345 Not at all, this won't fix anything.

^ This. It's already set for all wikis

That being said

https://en.wiktionary.org/w/index.php?title=Special%3ALog&type=&user=&page=Wiktionary%3AMain+Page&year=&month=-1&tagfilter=&hide_thanks_log=1&hide_patrol_log=1&hide_tag_log=1

It hasn't been deleted since August 2012...

What are we trying to solve here?

@Reedy

Deleting the main page has historically had some caché. It seems like a no-brainer that if there is a relatively straightforward way to prevent this, it would be better than not preventing it. If it's too hard for you to deal with, that's disappointing, but I guess we'll live with it.

Sau226 added a subscriber: Sau226.EditedFeb 25 2018, 2:59 PM

There's a custom hook somewhere that Tim Starling put which aborts the deletion or move actions on enwiki. Maybe import that for enwiki if the community really wants it.

Edit: The code is something like this

if ( $wgDBname === 'enwiki' ) {
	// Please don't interfere with our hundreds of wikis ability to manage themselves.
	// Only use this shitty hack for enwiki. Thanks.
	// -- brion 2008-04-10
	$wgHooks['getUserPermissionsErrorsExpensive'][] = function ( &$title, &$user, $action, &$result ) {
		if ( $action !== 'delete' && $action !== 'move' ) {
			return true;
		}
		$main = Title::newMainPage();
		$mainText = $main->getPrefixedDBkey();
		if ( $mainText === $title->getPrefixedDBkey() ) {
			$result = [ 'cant-delete-main-page' ];
			return false;
		}
		return true;
	};
}

Change 414509 had a related patch set uploaded (by Zoranzoki21; owner: sau226):
[operations/mediawiki-config@master] Disable main page deletion on enwiktionary

https://gerrit.wikimedia.org/r/414509

demon added a subscriber: demon.Feb 25 2018, 7:49 PM

Deleting the main page has historically had some caché.

Huh?

It seems like a no-brainer that if there is a relatively straightforward way to prevent this, it would be better than not preventing it. If it's too hard for you to deal with, that's disappointing, but I guess we'll live with it.

It's incredibly easy to do this. But I'm with @Reedy here, this looks like a solution in search of a problem...

Sau226 added a comment.Mar 2 2018, 7:46 AM

As per this link there appears to be consensus regarding no need to move the main page. Therefore if I'm correct this should be ready to merge. Could someone have that arranged possibly? Thank you.

As per this link there appears to be consensus regarding no need to move the main page.

See:

It hasn't been deleted since August 2012... What are we trying to solve here?

Sau226 added a comment.Mar 2 2018, 8:04 AM

Deleting the main page has historically had some caché. It seems like a no-brainer that if there is a relatively straightforward way to prevent this, it would be better than not preventing it. If it's too hard for you to deal with, that's disappointing, but I guess we'll live with it.

The admin said that they preferred it if this were to be fixed than not at all. Also I thought that in reasonable situations community consensus would be a deciding factor

And I'd personally say that spending time and resources to work on a rarely existing problem is not something I'd prefer... :)

Reedy added a comment.Mar 2 2018, 8:56 AM

I am an admin at en.wiktionary, and given how many times our main page has been deleted,

https://en.wiktionary.org/w/index.php?title=Special%3ALog&type=delete&user=&page=Wiktionary%3AMain+Page&year=&month=-1&tagfilter=&hide_thanks_log=1&hide_patrol_log=1&hide_tag_log=1

13 times between August 2006 and August 2012.

What are we trying to solve here?

I was active at en wikt during some of those deletions, so I have an opinion.

We had someone dedicated to getting admin every 6 months or so and committing various sorts of vandalism. One of his usual acts to close out that turn of activity was to delete the main page. I expect if he were still around and looking for things to do, he'd find some other show-stopper if the main page were not deletable.

Given that it's been almost 6 years since the page has been deleted, let's just leave things as they are.

All right then.

Change 414509 abandoned by Sau226:
Disable main page deletion on enwiktionary

Reason:
No longer needed as per admins.

https://gerrit.wikimedia.org/r/414509

Aklapper closed this task as Declined.Mar 6 2018, 12:40 AM

Declining